0xDocs 0x.limo

Docs / REST API

Leaderboards

Generated reference for the 2 /v1/leaderboards operations of the 0x REST API.

Generated from steamworks sg-backend/openapi.yaml at build 3a4a58e45c+dirty. Do not edit by hand.

Guide: Achievements and leaderboards. Errors are {"error": "..."} with the status (errors); limits are in rate limits.

MethodPathAuthSummary
POST/v1/leaderboards/{id}/scoresBearer tokenUpload {score, details, method:
GET/v1/leaderboards/{id}/entriesBearer tokenRanked entries [{steamid, score, details, rank}]

#POST /v1/leaderboards/{id}/scores

Upload {score, details, method: keep_best|force_update} → {changed, rank_new, rank_prev}

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
StatusResponse
200OK
bash
curl -s -X POST "https://api.0x.limo/v1/leaderboards/$ID/scores" \
  -H "Authorization: Bearer $ZEROX_TOKEN"

#GET /v1/leaderboards/{id}/entries

Ranked entries [{steamid, score, details, rank}]

Auth: Bearer token: Authorization: Bearer <access token> (authentication).

ParameterInTypeRequiredDescription
idpathstringyes
requestquery"global" | "around\_user" | "friends" | "users"no
startquerynumberno
endquerynumberno
userquerystringno
usersquerystringno
StatusResponse
200OK
bash
curl -s "https://api.0x.limo/v1/leaderboards/$ID/entries" \
  -H "Authorization: Bearer $ZEROX_TOKEN"